package com.ho.user.mapper;


import com.ho.user.vo.req.SysLogPageReqVO;
import com.ho.user.api.entity.SysLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
@Mapper
public interface SysLogMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysLog record);

    int insertSelective(SysLog record);

    SysLog selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(SysLog record);

    int updateByPrimaryKey(SysLog record);

    List<SysLog> selectAll(SysLogPageReqVO vo);

    void batchDeletedLog(List<Long> logIds);

    //管理员查询所有日志
    List<SysLog> selectAllLogs(String endTime,String startTime,String operation, String username);

}